Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.event
Class PreRemoveFromViewEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.SystemEvent
              javax.faces.event.ComponentSystemEvent
                  javax.faces.event.PreRemoveFromViewEvent

All Implemented Interfaces:
  java.io.Serializable

    public class PreRemoveFromViewEvent

extends ComponentSystemEvent

When an instance of this event is passed to `SystemEventListener.processEvent(javax.faces.event.SystemEvent)` or `ComponentSystemEventListener.processEvent(javax.faces.event.ComponentSystemEvent)`, the listener implementation may assume that the `source` of this event instance is a `UIComponent` instance that is about to be removed from the view. Therefore, the implementation may assume it is safe to call `UIComponent.getParent()`, `UIComponent.getClientId()`, and other methods that depend upon the component instance being added into the view.

Since:
  2.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PreRemoveFromViewEvent(UIComponent component)` Instantiate a new `BeforeRemoveFromView` that indicates the argument `component` is about to be removed from the view.

Method Summary
`boolean` | `isAppropriateListener(FacesListener listener)` Returns `true` if and only if the argument `listener` is an instance of `SystemEventListener`.

Methods inherited from class javax.faces.event.ComponentSystemEvent
`getComponent`

Methods inherited from class javax.faces.event.SystemEvent
`processListener`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PreRemoveFromViewEvent

    public PreRemoveFromViewEvent(UIComponent component)

  Instantiate a new `BeforeRemoveFromView` that indicates the argument `component` is about to be removed from the view.

  Parameters:
    `component` - the `UIComponent` that is about to be removed from the view.
  Throws:
    `java.lang.IllegalArgumentException` - if `component` is `null`

Method Detail

### isAppropriateListener

    public boolean isAppropriateListener(FacesListener listener)

  Returns `true` if and only if the argument `listener` is an instance of `SystemEventListener`.

  Overrides:
    `isAppropriateListener` in class `SystemEvent`
  Parameters:
    `listener` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.